Web Conferencing with Zoom

Critical Zoom Alerts

Important updates to the Zoom service require your action before May 30, 2020 to avoid disruption to your use.

Upgrade Your Zoom Client by May 30

Zoom is enhancing security and will require all Zoom clients to upgrade to at least version 5.0.0 by Saturday May 30, 2020. Zoom clients for computers and mobile devices may be downloaded from the Zoom website.

Passwords are required for all Zoom Meetings

Also by mid-June, all Zoom meetings must have a password enabled for participants to connect. Please update or recreate all existing meetings and series without passwords (including course sessions) to add meeting passwords.

If you need assistance, please contact your local IT support or call IT Services at 773-702-5800.